com.google.cloud.dataflow.sdk.transforms.join

## Class CoGbkResultSchema

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.join.CoGbkResultSchema

All Implemented Interfaces:
  Serializable

    public class CoGbkResultSchema
    extends Object
    implements Serializable

A schema for the results of a `CoGroupByKey`. This maintains the full set of `TupleTag`s for the results of a `CoGroupByKey` and facilitates mapping between `TupleTag`s and `RawUnionValue` tags (which are used as secondary keys in the `CoGroupByKey`).

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CoGbkResultSchema(TupleTagList tupleTagList)` Builds a schema from a tuple of `TupleTag<?>`s.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`com.google.cloud.dataflow.sdk.util.CloudObject` `asCloudObject()`
`boolean` `equals(Object obj)`
`int` `getIndex(TupleTag<?> tag)` Returns the index for the given tuple tag, if the tag is present in this schema, -1 if it isn't.
`TupleTag<?>` `getTag(int index)` Returns the tuple tag at the given index.
`TupleTagList` `getTupleTagList()` Returns the TupleTagList tuple associated with this schema.
`int` `hashCode()`
`static CoGbkResultSchema` `of(List<TupleTag<?>> tags)`
`int` `size()` Returns the number of columns for this schema.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CoGbkResultSchema

    public CoGbkResultSchema(TupleTagList tupleTagList)

Builds a schema from a tuple of `TupleTag<?>`s.

### Method Detail

#### of

    public static CoGbkResultSchema of(List<TupleTag<?>> tags)

#### getIndex

    public int getIndex(TupleTag<?> tag)

Returns the index for the given tuple tag, if the tag is present in this schema, -1 if it isn't.

#### getTag

    public TupleTag<?> getTag(int index)

Returns the tuple tag at the given index.

#### size

    public int size()

Returns the number of columns for this schema.

#### getTupleTagList

    public TupleTagList getTupleTagList()

Returns the TupleTagList tuple associated with this schema.

#### asCloudObject

    public com.google.cloud.dataflow.sdk.util.CloudObject asCloudObject()

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`